Author Topic: MySql 8.0 compatibility problem  (Read 754 times)

KNVB

  • EA Novice
  • *
  • Posts: 15
  • Karma: +0/-0
    • View Profile
MySql 8.0 compatibility problem
« on: May 14, 2018, 03:59:57 pm »
Dear all

I am transferring *.eap file to MySql 8.0 server on Red Linux Enterprise 7.0 platform.
I got an error message when I transferring the project file to MySql server.

The error message is :

"Internal application error."

The last line of the log file is:

"Removing data in: usystables"

I tried the following :

1)Reconfigure the ODBC setting so that we log in the MySql server as root.
2)Update the EA to version 14

However, the problem still exists, would you tell me how to work around?


qwerty

  • EA Guru
  • *****
  • Posts: 10635
  • Karma: +234/-196
  • I'm no guru at all
    • View Profile
Re: MySql 8.0 compatibility problem
« Reply #1 on: May 14, 2018, 06:48:06 pm »
I remember this was discussed here. IIRC you can simply create a new usystable and fill it with the contents of a blank EAP file.

q.

KNVB

  • EA Novice
  • *
  • Posts: 15
  • Karma: +0/-0
    • View Profile
Re: MySql 8.0 compatibility problem
« Reply #2 on: May 16, 2018, 01:35:50 pm »
I checked with my mysql db, the usystables table has already existed, however, it still does not work.

qwerty

  • EA Guru
  • *****
  • Posts: 10635
  • Karma: +234/-196
  • I'm no guru at all
    • View Profile
Re: MySql 8.0 compatibility problem
« Reply #3 on: May 16, 2018, 06:05:34 pm »
In that case you should contact Sparx support via mail.

q.